Chat now with support
Chat with Support

Foglight 5.9.5 - Upgrade Guide

Understand product versions Best practices Upgrade the Foglight Management Server Upgrade the Foglight Agent Manager Upgrade the Application Monitoring cartridges Upgrade the Database cartridges Upgrade the End User Management cartridges Upgrading the Infrastructure Management cartridges Upgrade the Integration cartridges Upgrade the cartridges in a federated or High Availability (HA) environment Appendix: Deploying an agent package using the browser interface

Oracle database users

A Management Server 5.9.x using an Oracle® database makes use of stored procedures in the Oracle database. When upgrading from a version earlier than 5.6.2 to version 5.6.2 or later, the procedures are created during the upgrade process. To allow the upgrade process to create the stored procedures, a DBA user must first assign the CREATE PROCEDURE privilege to the database user used by Foglight.

where <foglight> is the name of the database user used by the Foglight application

If the upgrade process is run without assigning the CREATE PROCEDURE privilege to the Oracle database user, the database upgrade will fail with the following error:

The Oracle database user has not been assigned the CREATE PROCEDURE privilege.

Once the CREATE PROCEDURE privilege is assigned to the database user, the database upgrade process can be run manually by invoking the foglight_db_upgrade script.

Database changes

This section provides a list of the database changes from Foglight 5.6.2 through Foglight 5.9.x.

For new Management Server 5.7.6 (and later) installations, the embedded MySQL® database was replaced with an embedded PostgreSQL® database. Upgrades to Foglight Management Servers 5.7.6 with an existing embedded MySQL database are not affected. The existing database is retained during the upgrade.

An upgrade from version 5.6.5 of the Management Server to version 5.6.7 changes the database in the following ways:

Sequence SEQ_O*

Altered cache size to 10000

Oracle®

An upgrade from version 5.6.4 of the Management Server to version 5.6.5 changes the database in the following ways:

PcmEncodedData

Table added

All

An upgrade from version 5.6.2 of the Management Server to version 5.6.3 changes the database in the following ways:

database_instance_id

Table added

All

 

Upgrade the Foglight Agent Manager

This section describes the procedure for upgrading the Foglight Agent Manager (FglAM). The latest version of the Agent Manager is 5.9.x.

Remote updates of the Agent Manager are deployed from the Management Server. Local access to Agent Manager clients is typically not required to perform an upgrade.

For more details, see these topics:

Upgrade the Agent Manager

1
Navigate to Dashboards > Administration > Cartridges > Cartridge Inventory.
3
In the Install Cartridge dialog box, click Browse to locate the .car file you require to upgrade the Agent Manager.
4
Ensure that the Enable on Install box is selected.
5
Click Install Cartridge to install the latest version of the Agent Manager upgrade .car file on the Management Server. Do not delete any of the old .car files.
A progress message appears and, after a few moments, the Operation(s) Complete message box appears, indicating success.
6
Click OK to close the message box.
7
On the navigation panel, click Dashboards > Administration > Agents > Agent Managers.
The Deploy Agent Package dialog box opens.
After the “Agent deployment was successful.” message and a green checkmark appear in the Deploying Agent Package box (that is, after the Agent Managers have restarted), you must wait a few additional minutes for the version number of the affected Agent Manager to be updated.
Related Documents